# theoplayer-mux

## 5.3.8

### Patch Changes

- d573945: Fix issue with audio tracking where the player is not initialized

## 5.3.7

### Patch Changes

- Updated dependencies [eb2ebfa]
  - mux-embed@5.9.0

## 5.3.6

### Patch Changes

- Updated dependencies [8fa7827]
  - mux-embed@5.8.3

## 5.3.5

### Patch Changes

- Updated dependencies [38eeefe]
  - mux-embed@5.8.2

## 5.3.4

### Patch Changes

- Updated dependencies [cef9e40]
  - mux-embed@5.8.1

## 5.3.3

### Patch Changes

- Updated dependencies [049be75]
  - mux-embed@5.8.0

## 5.3.2

### Patch Changes

- Updated dependencies [41b0915]
  - mux-embed@5.7.0

## 5.3.1

### Patch Changes

- Updated dependencies [9cd7dbf]
  - mux-embed@5.6.0

## 5.3.0

### Minor Changes

- 18af18e: Update mechanism for generating unique IDs, used for `view_id` and others

### Patch Changes

- Updated dependencies [18af18e]
- Updated dependencies [157f957]
  - mux-embed@5.5.0

## 5.2.3

### Patch Changes

- 2d96231: [chore] internal build process fix (no functional changes)
- Updated dependencies [2d96231]
  - mux-embed@5.4.3

## 5.2.2

### Patch Changes

- Updated dependencies [e5f3e65]
- Updated dependencies [fecba0b]
- Updated dependencies [40f531d]
  - mux-embed@5.4.2

## 5.2.1

### Patch Changes

- Updated dependencies [1aa5968]
- Updated dependencies [723e2e3]
  - mux-embed@5.4.1

## 5.2.0

### Minor Changes

- 67e297d: Add updateData function that allows Mux Data metadata to be updated mid-view.

### Patch Changes

- Updated dependencies [67e297d]
  - mux-embed@5.4.0

## 5.1.9

### Patch Changes

- Updated dependencies [7c77ea4]
  - mux-embed@5.3.3

## 5.1.8

### Patch Changes

- Updated dependencies [d5e737e]
  - mux-embed@5.3.2

## 5.1.7

### Patch Changes

- Updated dependencies [2f2f885]
  - mux-embed@5.3.1

## 5.1.6

### Patch Changes

- Updated dependencies [08adb81]
  - mux-embed@5.3.0

## 5.1.5

### Patch Changes

- d49b7a2: fix an issue where video bitrate for renditionchange events could be calculated incorrectly for non-dash streams
- d49b7a2: fix an issue where request/response interceptors were not removed on destroy

## 5.1.4

### Patch Changes

- utilize width and height directly from THEOplayer's API for renditionchange events
- add support for detecting frame rate, name, and codec for renditionchange events
- Updated dependencies [8a33cb0]
  - mux-embed@5.2.1

## 5.1.3

### Patch Changes

- Updated dependencies [6fc018a]
- Updated dependencies [5707014]
  - mux-embed@5.2.0

## 5.1.2

### Patch Changes

- 15f6461: Fix issue when videoTracks or audioTracks is undefined

## 5.1.1

### Patch Changes

- 322961c: Ensure seeking/seeked and rebuffering/rebuffered events are better distinguished.

## 5.1.0

### Minor Changes

- 95fd304: Target ES5 for bundles and validate bundles are ES5

### Patch Changes

- Updated dependencies [117d668]
- Updated dependencies [95fd304]
  - mux-embed@5.1.0

## 5.0.4

### Patch Changes

- Updated dependencies [70b87d4]
  - mux-embed@5.0.0

## 5.0.3

### Patch Changes

- Updated dependencies [e3c4f1e]
- Updated dependencies [ad1f41a]
  - mux-embed@4.30.0

## 5.0.2

### Patch Changes

- Updated dependencies [2d9f466]
  - mux-embed@4.29.0

## 5.0.1

### Patch Changes

- Updated dependencies [dabca78]
  - mux-embed@4.28.1

## 5.0.0

### Major Changes

- 5ccdab8: use a new mechanism to track rebuffering for better accuracy
  - fix an issue where player time was reported in the wrong units
  - improved internal cleanup for memory management

### Patch Changes

- Updated dependencies [7317411]
  - mux-embed@4.28.0

## 4.17.1

### Patch Changes

- d0f56db: Fixed the README files (public and internal) with correct information

## 4.17.0

### Minor Changes

- b295a7f: fix an issue where seek latency could be unexpectedly large
- b295a7f: fix an issue where seek latency does not include time at end of a view

### Patch Changes

- Updated dependencies [6d868a0]
- Updated dependencies [32f78cb]
- Updated dependencies [b295a7f]
- Updated dependencies [903f8a8]
  - mux-embed@4.27.0

## 4.16.0

### Minor Changes

- 544e161: Fix error context reporting for HLS manifests

## 4.15.3

### Patch Changes

- Updated dependencies [15f2461]
  - mux-embed@4.26.0

## 4.15.2

### Patch Changes

- Updated dependencies [2cd1d81]
  - mux-embed@4.25.1

## 4.15.1

### Patch Changes

- Updated dependencies [3bdf5e8]
  - mux-embed@4.25.0

## 4.15.0

### Minor Changes

- a8e725e: Fix an issue where beacons over a certain size could get hung and not be sent

### Patch Changes

- Updated dependencies [a8e725e]
  - mux-embed@4.24.0

## 4.14.0

### Minor Changes

- 60634da: Fix an issue where tracking rebuffering can get into an infinite loop

### Patch Changes

- Updated dependencies [4af958d]
- Updated dependencies [60634da]
- Updated dependencies [df8b73a]
  - mux-embed@4.23.0

## 4.13.4

### Patch Changes

- Updated dependencies [92ac6dc]
  - mux-embed@4.22.0

## 4.13.3

### Patch Changes

- Updated dependencies [197eab8]
  - mux-embed@4.21.0

## 4.13.2

### Patch Changes

- Updated dependencies [7243d2e]
  - mux-embed@4.20.0

## 4.13.1

### Patch Changes

- Updated dependencies [567814c]
  - mux-embed@4.19.0

## 4.13.0

### Minor Changes

- c63e4e8: Set Mux Error Context with additional error information from THEOplayer

## 4.12.1

### Patch Changes

- 668a829: Fall back to player element size to get better player resolutions
- Updated dependencies [2e187c3]
- Updated dependencies [e91e64c]
- Updated dependencies [b37e888]
  - mux-embed@4.18.0

## 4.12.0

### Minor Changes

- 2312218: Support `player_error_context` in `errorTranslator`

### Patch Changes

- Updated dependencies [81ffe36]
  - mux-embed@4.17.0

## 4.11.0

### Minor Changes

- 842167e: Adds support for new and updated fields: `renditionchange`, error, DRM type, dropped frames, and new custom fields

### Patch Changes

- Updated dependencies [cb4813e]
- Updated dependencies [842167e]
- Updated dependencies [d802f30]
- Updated dependencies [73a23c2]
- Updated dependencies [4464398]
  - mux-embed@4.16.0

## 4.10.0

### Minor Changes

- b1b25a4: Expose `utils` on SDK initialization function to expose `utils.now()` for `player_init_time`

### Patch Changes

- 1dd4cc1: Record `request_url` and `request_id` with network events
- Updated dependencies [87027e7]
- Updated dependencies [b1b25a4]
- Updated dependencies [dafa288]
- Updated dependencies [1dd4cc1]
  - mux-embed@4.15.0

## 4.9.5

### Patch Changes

- Updated dependencies [99ab50c]
  - mux-embed@4.14.0

## 4.9.4

### Patch Changes

- Updated dependencies [faefb2e]
  - mux-embed@4.13.4

## 4.9.3

### Patch Changes

- Updated dependencies [3b44caa]
  - mux-embed@4.13.3

## 4.9.2

### Patch Changes

- Updated dependencies [b21e86a]
  - mux-embed@4.13.2

## 4.9.1

### Patch Changes

- df36c55: Fixes an issue with accessing the global object
- Updated dependencies [df36c55]
  - mux-embed@4.13.1

## 4.9.0

### Minor Changes

- 388e558: Upgraded internal webpack version

### Patch Changes

- Updated dependencies [4b78021]
- Updated dependencies [388e558]
- Updated dependencies [a534321]
  - mux-embed@4.13.0

## 4.8.6

### Patch Changes

- 512d757: Publish package to NPM

## 4.8.5

### Patch Changes

- Updated dependencies [aaf3b01]
  - mux-embed@4.12.1

## 4.8.4

### Patch Changes

- Updated dependencies [856b2df]
  - mux-embed@4.12.0

## 4.8.3

### Patch Changes

- Updated dependencies [b2499f4]
  - mux-embed@4.11.0

## 4.8.2

### Patch Changes

- Updated dependencies [a59a3ee]
- Updated dependencies [a59a3ee]
  - mux-embed@4.10.0

## 4.8.1

### Patch Changes

- Updated dependencies [91c4794]
  - mux-embed@4.9.4

## 4.8.0

### Minor Changes

- 1457d37: Allow for passing in the THEOplayer instance instead of using the instance on window

## 4.7.6

### Patch Changes

- ecf1447: Use common function for generating short IDs
- Updated dependencies [139c6a2]
- Updated dependencies [ecf1447]
  - mux-embed@4.9.3

## 4.7.5

### Patch Changes

- Updated dependencies [0323215]
  - mux-embed@4.9.2

## 4.7.4

### Patch Changes

- Updated dependencies [e4b3b16]
  - mux-embed@4.9.1

## 4.7.3

### Patch Changes

- Updated dependencies [28af90d]
- Updated dependencies [6fc81db]
  - mux-embed@4.9.0

## 4.7.2

### Patch Changes

- Updated dependencies [2572844]
- Updated dependencies [5b57b38]
- Updated dependencies [6bd4336]
  - mux-embed@4.8.0

## 4.7.1

### Patch Changes

- Updated dependencies [d2c2670]
  - mux-embed@4.7.0

## 4.7.0

### Minor Changes

- a7f1c42: Introducing HLS Session Data support

### Patch Changes

- Updated dependencies [4f2187c]
  - mux-embed@4.6.2

## 4.6.1

### Patch Changes

- Updated dependencies [51476cc]
  - mux-embed@4.6.1

## 4.6.0

### Minor Changes

- ffaf7f5: Bump mux-embed to 4.6.0

## 4.5.1

- Update mux-embed to v4.4.4
- Stops emitting a `requestcompleted` event for every manifest request

## 4.5.0

- Update mux-embed to v4.4.2

## 4.4.0

- Add support for bandwidth metrics

## 4.3.1

- Fix an issue where normal events were being fired as ad events

## 4.3.0

- Update mux-embed to v4.4.0
- Support latency metrics when using HLS

## 4.2.0

- Update mux-embed to v4.2.0
- Fix an issue where views that resulted from `programchange` may not have been tracked correctly
- Fix an issue where if `destroy` was called multiple times, it would raise an exception

## 4.1.1

- Fix an issue where bitrate reported for HLS streams would be double the expected value

## 4.1.0

- Update mux-embed to v4.1.1
- Add support for custom dimensions
- Fix an issue where `player_remote_played` may not be tracked correctly

## 4.0.0

- Update mux-embed to v4.0.0
- Support server-side device detection

## 3.1.0

- Add `renditionchange` tracking event

## 3.0.1

- Inject metadata for certain edge case startup sequences

## 3.0.0

- Update `mux-embed` to 3.0.0
